Bug 976315 - PRESET: Add dkms.service to preset file
PRESET: Add dkms.service to preset file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
20
All All
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PresetChanges
  Show dependency treegraph
 
Reported: 2013-06-20 07:14 EDT by Simone Caronni
Modified: 2014-01-14 17:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-14 17:21:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simone Caronni 2013-06-20 07:14:18 EDT
The dkms package has been unmantained for years; it still has a SysV init script up to current rawhide.

Starting from Fedora 20 it will move to systemd; since it has always started by default FESCo granted the preset exception for Fedora 20+

https://fedorahosted.org/fesco/ticket/1123

Thanks & regards,
--Simone
Comment 1 Simone Caronni 2013-06-20 07:16:05 EDT
Service file:

http://pkgs.fedoraproject.org/cgit/dkms.git/tree/dkms.service
Comment 2 Jóhann B. Guðmundsson 2013-06-20 07:30:49 EDT
Have you actually tested the service file you have written there?
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-06-20 07:32:06 EDT
Would it be possible to add a smart ConditionPathExists= if any dkms module sources are actually installed? This should cut down initialization time for people who install the package without actually installing any modules.
Comment 4 Simone Caronni 2013-06-29 06:25:45 EDT
Sorry for being late I was pretty busy.

(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> Would it be possible to add a smart ConditionPathExists= if any dkms module
> sources are actually installed? This should cut down initialization time for
> people who install the package without actually installing any modules.

Unfortunately there is not a single path to be checked; all modules put their sources in /usr/src and when installed they call dkms add <name>/<version> in %post. After this, the source is linked in /var/lib/dkms/<name>.

If there are no dkms packages installed (and so no /var/lib/dkms/<name> directory) the dkms command exits immediately; I don't see much difference here.

I would like also to point out that dkms is _never_ installed by default, so unless you install a dkms module package on your own (Fedora does not provide any) it will never be installed on any system.

Right now, before my update the service was still using SysV scripts that were unconditionally start at boot even in Fedora 20. Please see Fesco ticket about this.

Regards,
--Simone
Comment 5 Zbigniew Jędrzejewski-Szmek 2013-06-29 09:57:05 EDT
(In reply to Simone Caronni from comment #4)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> > Would it be possible to add a smart ConditionPathExists= if any dkms module
> Unfortunately there is not a single path to be checked;
OK, that's fine, I was just checking if there's an easy way to optimize things a bit.
Comment 6 Jóhann B. Guðmundsson 2013-06-29 11:22:43 EDT
(In reply to Simone Caronni from comment #0)
> The dkms package has been unmantained for years; it still has a SysV init
> script up to current rawhide.

Did you actually do any research into why the package had been going on unmaintained before picking it up? 

From the looks of it has been superseded by KMP which got created with working group formed by the LF [1] 5 years ago and if that indeed turns out to be the case dkms should be removed from the distribution. ( KMP seems to be the reason why DKMS got rejected in OpenSuse [2] + this package is maybe something that belongs in rpmfusion...).

Michal/Kay/Harald know more about KMP

1. http://www.linuxfoundation.org/collaborate/workgroups/driver-backport
2. https://features.opensuse.org/305148
Comment 7 Jóhann B. Guðmundsson 2013-06-29 11:24:12 EDT
(In reply to Jóhann B. Guðmundsson from comment #6)
> 
> Michal/Kay/Harald know more about KMP

Might know more about KMP effort I mean...
Comment 8 Simone Caronni 2013-07-01 05:55:43 EDT
Hello,

(In reply to Jóhann B. Guðmundsson from comment #6)
> (In reply to Simone Caronni from comment #0)
> > The dkms package has been unmantained for years; it still has a SysV init
> > script up to current rawhide.
> 
> Did you actually do any research into why the package had been going on
> unmaintained before picking it up?

it was not unmantained and revived, it was simply still included and left bitrotting. Since we are still using it at work for both RHEL and some Fedora installations I brought it up to date.

> From the looks of it has been superseded by KMP which got created with
> working group formed by the LF [1] 5 years ago and if that indeed turns out
> to be the case dkms should be removed from the distribution. ( KMP seems to
> be the reason why DKMS got rejected in OpenSuse [2] + this package is maybe
> something that belongs in rpmfusion...).
> 
> Michal/Kay/Harald know more about KMP
> 
> 1. http://www.linuxfoundation.org/collaborate/workgroups/driver-backport
> 2. https://features.opensuse.org/305148

Never heard of it. I doubt in the very short time we will migrate from DKMS but I will look into it, thanks.
Comment 9 Simone Caronni 2013-07-22 07:19:09 EDT
Any news on adding to the preset file?

DKMS it's still widely used, I receive many requests / bugfixes and for Fedora 17/18/19 the service always started upon installation.
Comment 10 Lennart Poettering 2013-09-12 21:27:22 EDT
Changed in f20 fedora packaging git.
Comment 11 Fedora Update System 2013-09-13 12:16:14 EDT
systemd-207-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-207-1.fc20
Comment 12 Fedora End Of Life 2013-09-16 12:59:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 13 Fedora Update System 2013-09-22 20:04:23 EDT
systemd-207-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.